import { inject, observer } from "mobx-react";
import BTable from "@/components/b_table";
import { useEffect } from "react";
import { Store } from "antd/lib/form/interface";
import { columns, defaultConfig } from "./config";
import "./index.less";

const Company = (props: Store) => {
  const { companyStore } = props;

  useEffect(() => {
    companyStore.getlist();
  }, [companyStore]);

  return (
    <div className="contentBox">
      <BTable
        store={companyStore}
        scroll={{ x: "max-content" }}
        columns={columns}
        config={defaultConfig}
        dataSource={companyStore.list}
        btnText="添加单位"
      />
    </div>
  );
};

export default inject("companyStore")(observer(Company));
