import { inject, observer } from "mobx-react";
import BTable from "@/components/b_table";
import { useEffect } from "react";
import { Store } from "antd/lib/form/interface";
import { columns, defaultConfig } from "./config";
import "./dep.less";

const Dep = (props: Store) => {
  const { depStore } = props;

  useEffect(() => {
    depStore.getlist();
  }, [depStore]);

  return (
    <div className="contentBox">
      <BTable
        store={depStore}
        scroll={{ x: "max-content" }}
        columns={columns}
        config={defaultConfig}
        dataSource={depStore.list}
      />
    </div>
  );
};

export default inject("depStore")(observer(Dep));
