import { inject, observer } from "mobx-react";
import "./login.less";
import { Store } from "antd/es/form/interface";
import { useNavigate } from "react-router";
import { useRef } from "react";
const Login = (props: Store) => {
  const { usrStore } = props;
  const formRef = useRef<any>(null);
  const navigate = useNavigate();
  const onFinish = async (e: any) => {
    e.preventDefault();
    const formData = new FormData(formRef.current);
    const data = Object.fromEntries(formData); 
    let status = await usrStore.login({
      userName: data.account,
      passWord: data.password,
    });
    if (status) {
      usrStore.closeLoginDilog();
      navigate("/user/list", { replace: true });
    }
  };
  return (
    <div className="login">
      <div className="background">
        <div className="shape"></div>
        <div className="shape"></div>
      </div>
      <h3>Login Here</h3>
      <form ref={formRef} onSubmit={onFinish} >
        <label htmlFor="username">Username</label>
        <input type="text" name="account" placeholder="Email or Phone" id="account" />
        <label htmlFor="password">Password</label>
        <input type="password" name="password" placeholder="Password" id="password" />
        <button type="submit">Log In</button>
      </form>
    </div>
  );
};

export default inject("usrStore")(observer(Login));
