import { inject, observer } from "mobx-react";
import BTable from "@/components/b_table";
import { useEffect } from "react";
import { Store } from "antd/lib/form/interface";
import { columns, defaultConfig } from "./menu_config";
import "./menu.less";

const Menu = (props: Store) => {
  const { menuStore } = props;

  useEffect(() => {
    menuStore.getlist();
  }, [menuStore]);

  return (
    <div className="contentBox">
      <BTable
        btnText="添加菜单"
        store={menuStore}
        scroll={{ x: "max-content" }}
        columns={columns}
        dataSource={menuStore.list}
        config={defaultConfig}
      />
    </div>
  );
};

export default inject("menuStore")(observer(Menu));
