import { inject, observer } from "mobx-react";
import BTable from "@/components/b_table";
import { Store } from "antd/lib/form/interface";
import { columns, defaultConfig } from "./role_config";
import "./role.less";
import { useEffect } from "react";

const Role = (props: Store) => {
  const { roleStore } = props;
  
  useEffect(() => {
    roleStore.getlist();
  }, [roleStore]);

  return (
    <div className="contentBox">
      <BTable
        btnText="添加职位"
        store={roleStore}
        scroll={{ x: "max-content" }}
        columns={columns}
        config={defaultConfig}
        dataSource={roleStore.list}
      />
    </div>
  );
};

export default inject("roleStore")(observer(Role));
