const toHTML = (titles, datas) =>{
    // 显示表格边框
    var table = '<table border="1" rull="all" style="border-collapse:collapse">';

    // header，设置行高为32px
    table += '<tr style="height:32px">';
    // 遍历拼接header行
    for (var t = 0; t < titles.length; t++) {
        // 设置header行样式为垂直居中、列宽90px、水平居中
        table += '<td style="vertical-align:middle;width:90px;text-align:center">' + titles[t].title + '</td>';
    }
    table += '</tr>';

    // body
    for (var d = 0; d < datas.length; d++) {
        // 设置行高为24px，垂直居中，水平居中
        table += '<tr style="height:24px">';
        let h = datas[d]
        for (let value in h) {
            table += '<td style="vertical-align:middle;text-align:center">' + h[value] + '</td>';
        }
        table += '</tr>';
    }
    table += '</table>';

    return table;
};


const toExcel =(titles, datas, fileName, sheetName) =>{
    /*
    参数1：标题行
    参数2：数据
    参数3：文件名
    参数3：sheet名
    */
    var uri = 'data:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet;base64,'
        , template = '<html xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns="http://www.w3.org/TR/REC-html40"><meta http-equiv="content-type" content="application/vnd.ms-excel; charset=UTF-8"><head><!--[if gte mso 9]><xml><x:ExcelWorkbook><x:ExcelWorksheets><x:ExcelWorksheet><x:Name>{worksheet}</x:Name><x:WorksheetOptions><x:DisplayGridlines/></x:WorksheetOptions></x:ExcelWorksheet></x:ExcelWorksheets></x:ExcelWorkbook></xml><![endif]--></head><body>{table}</body></html>'
        , base64 = function (s) { return window.btoa(unescape(encodeURIComponent(s))) }
        , format = function (s, c) { return s.replace(/{(\w+)}/g, function (m, p) { return c[p]; }) }

    var table = toHTML(titles, datas);
    var ctx = { worksheet: sheetName, table: table };
    var data = base64(format(template, ctx));
    var alink = document.createElement('a');
    alink.append('body')
    alink.href = uri + data;
    alink.download = fileName;
    alink.click();
    alink.remove();

};

export default toExcel;
// toExcel("titles", [{}], 'test.xlsx', 'Sheet1');